library ieee ;
use ieee.std_logic_1164.all ; -- définition du type bit , bit vector , ...
use ieee.numeric_std.all ; -- opérations signées et non signées
use ieee.std_logic_arith.all ; -- opérations signées et non signées sur les vecteur

entity My_and3 is port(
  A,B,C : in std_logic;
  D : out std_logic
  );
end entity My_and3 ;

architecture and3_arch of My_and3 is
  begin
    D <= A and B and C ;
end architecture and3_arch;